Update a List of Elements

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
PUT /profiles/{profile_id}/pages/{page_id}/elements

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • fields string

    extra information of each element on the list

  • limit number

    maximum count of the element list

  • offset number

    skip that many elements before beginning to return

application/json

Body

  • id number
  • name string
  • label string
  • description string
  • data_type number
  • data_size number
  • widget_type string
  • sort_order number
  • optionlist_id number
  • default_value string
  • low_value number
  • high_value number
  • dynamic_value string
  • is_required boolean
  • condition_value string
  • client_validation string
  • is_disabled boolean
  • reference_id_1 string
  • is_readonly boolean
  • is_action boolean
  • validation_message string
  • smart_tbl_search_col string
  • is_encrypt boolean
  • is_hide_typing boolean
  • keyboard_type number
  • dynamic_label string
  • weighted_score number

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the updated element id

PUT /profiles/{profile_id}/pages/{page_id}/elements
curl \
 --request PUT 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/elements' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '[
  {
    "id": 20483233,
    "dynamic_value": "new Date()"
  },
  {
    "id": 20483236,
    "dynamic_value": "iformbuilder.username"
  }
]'
Request examples
[
  {
    "id": 20483233,
    "dynamic_value": "new Date()"
  },
  {
    "id": 20483236,
    "dynamic_value": "iformbuilder.username"
  }
]
{
  "keyboard_type": 1
}
Response examples (200)
[
  {
    "id": 20483233
  },
  {
    "id": 20483236
  }
]